package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Transient;

public class GridDetailAnggaran{
	
	private String noRec;
	
	private String noRecSpek;
	
	private String noRecDetail;
	
	private String noRecKegiatan;
	
	private String pengendali;
	
	private String kegiatan;
	
	private String namaAkun;
	
	private String kegiatanDetail;
	
	private String namaProduk;
	
	private String namaKomponen;
	
	private String sumberDana;
	
	private Integer verifikasi;
	
	private Integer unverifikasi;
	
	private Integer tahunAnggaran;
	
	private Double jumlahBiaya;
	
	private String namaRuangan;
	
	private float volume;
	
	private Double hargaSatuan;
	
	private String namaSatuan;
	
	private Date tanggalPengajuan;
	
	private Boolean isVerifikasi;
	
	private String spesifikasi;
	
	private Date pelaksanaanPemilihanAwal;
	
	private Date pelaksanaanPemilihanAhir;
	
	private Date pelaksanaanPekerjaanAwal;
	
	private Date pelaksanaanPekerjaanAhir;
	
	private String keteranganRup;
	

	public String getNamaKomponen() {
		return namaKomponen;
	}

	public void setNamaKomponen(String namaKomponen) {
		this.namaKomponen = namaKomponen;
	}

	public String getSumberDana() {
		return sumberDana;
	}

	public void setSumberDana(String sumberDana) {
		this.sumberDana = sumberDana;
	}



	public Integer getVerifikasi() {
		return verifikasi;
	}

	public void setVerifikasi(Integer verifikasi) {
		this.verifikasi = verifikasi;
	}

	public Integer getUnverifikasi() {
		return unverifikasi;
	}

	public void setUnverifikasi(Integer unverifikasi) {
		this.unverifikasi = unverifikasi;
	}


	public Double getJumlahBiaya() {
		return jumlahBiaya;
	}

	public void setJumlahBiaya(Double jumlahBiaya) {
		this.jumlahBiaya = jumlahBiaya;
	}

	public String getNamaRuangan() {
		return namaRuangan;
	}

	public void setNamaRuangan(String namaRuangan) {
		this.namaRuangan = namaRuangan;
	}

	public Integer getTahunAnggaran() {
		return tahunAnggaran;
	}

	public void setTahunAnggaran(Integer tahunAnggaran) {
		this.tahunAnggaran = tahunAnggaran;
	}

	public String getKegiatanDetail() {
		return kegiatanDetail;
	}

	public void setKegiatanDetail(String kegiatanDetail) {
		this.kegiatanDetail = kegiatanDetail;
	}

	public String getKegiatan() {
		return kegiatan;
	}

	public void setKegiatan(String kegiatan) {
		this.kegiatan = kegiatan;
	}

	public String getPengendali() {
		return pengendali;
	}

	public void setPengendali(String pengendali) {
		this.pengendali = pengendali;
	}

	public String getNamaProduk() {
		return namaProduk;
	}

	public void setNamaProduk(String namaProduk) {
		this.namaProduk = namaProduk;
	}

	public float getVolume() {
		return volume;
	}

	public void setVolume(float volume) {
		this.volume = volume;
	}

	public Double getHargaSatuan() {
		return hargaSatuan;
	}

	public void setHargaSatuan(Double hargaSatuan) {
		this.hargaSatuan = hargaSatuan;
	}

	public String getNamaSatuan() {
		return namaSatuan;
	}

	public void setNamaSatuan(String namaSatuan) {
		this.namaSatuan = namaSatuan;
	}

	public Date getTanggalPengajuan() {
		return tanggalPengajuan;
	}

	public void setTanggalPengajuan(Date tanggalPengajuan) {
		this.tanggalPengajuan = tanggalPengajuan;
	}

	public String getNamaAkun() {
		return namaAkun;
	}

	public void setNamaAkun(String namaAkun) {
		this.namaAkun = namaAkun;
	}

	public String getNoRec() {
		return noRec;
	}

	public void setNoRec(String noRec) {
		this.noRec = noRec;
	}

	public Boolean getIsVerifikasi() {
		return isVerifikasi;
	}

	public void setIsVerifikasi(Boolean isVerifikasi) {
		this.isVerifikasi = isVerifikasi;
	}

	public String getSpesifikasi() {
		return spesifikasi;
	}

	public void setSpesifikasi(String spesifikasi) {
		this.spesifikasi = spesifikasi;
	}

	public Date getPelaksanaanPemilihanAwal() {
		return pelaksanaanPemilihanAwal;
	}

	public void setPelaksanaanPemilihanAwal(Date pelaksanaanPemilihanAwal) {
		this.pelaksanaanPemilihanAwal = pelaksanaanPemilihanAwal;
	}

	public Date getPelaksanaanPemilihanAhir() {
		return pelaksanaanPemilihanAhir;
	}

	public void setPelaksanaanPemilihanAhir(Date pelaksanaanPemilihanAhir) {
		this.pelaksanaanPemilihanAhir = pelaksanaanPemilihanAhir;
	}

	public Date getPelaksanaanPekerjaanAwal() {
		return pelaksanaanPekerjaanAwal;
	}

	public void setPelaksanaanPekerjaanAwal(Date pelaksanaanPekerjaanAwal) {
		this.pelaksanaanPekerjaanAwal = pelaksanaanPekerjaanAwal;
	}

	public Date getPelaksanaanPekerjaanAhir() {
		return pelaksanaanPekerjaanAhir;
	}

	public void setPelaksanaanPekerjaanAhir(Date pelaksanaanPekerjaanAhir) {
		this.pelaksanaanPekerjaanAhir = pelaksanaanPekerjaanAhir;
	}

	public String getKeteranganRup() {
		return keteranganRup;
	}

	public void setKeteranganRup(String keteranganRup) {
		this.keteranganRup = keteranganRup;
	}

	public String getNoRecSpek() {
		return noRecSpek;
	}

	public void setNoRecSpek(String noRecSpek) {
		this.noRecSpek = noRecSpek;
	}

	public String getNoRecDetail() {
		return noRecDetail;
	}

	public void setNoRecDetail(String noRecDetail) {
		this.noRecDetail = noRecDetail;
	}

	public String getNoRecKegiatan() {
		return noRecKegiatan;
	}

	public void setNoRecKegiatan(String noRecKegiatan) {
		this.noRecKegiatan = noRecKegiatan;
	}

	


}
